Bug 133115 - CVE-2004-1058 /proc/<PID>/cmdline information disclosure
Summary: CVE-2004-1058 /proc/<PID>/cmdline information disclosure
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Don Howard
QA Contact: Brian Brock
URL:
Whiteboard: impact=low,public=20040730
Keywords: Security
Depends On:
Blocks: 143573
TreeView+ depends on / blocked
 
Reported: 2004-09-21 19:09 UTC by Josh Bressers
Modified: 2007-11-30 22:06 UTC (History)
2 users (show)

Fixed In Version: RHSA-2006-0191
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-01 17:53:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backport proc_pid_cmdline() fix from RHEL3. (410 bytes, patch)
2005-09-15 23:28 UTC, Don Howard
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0191 normal SHIPPED_LIVE Important: kernel security update 2006-02-01 05:00:00 UTC

Description Josh Bressers 2004-09-21 19:09:53 UTC
There's a race in the kernel, and considering the permissions on
/proc/PID/{cmdline,environ} a security bug as well: If you win the
race with a starting process, you can read its environment.

http://lkml.org/lkml/2004/7/29/332

Comment 1 Mark J. Cox 2004-11-17 10:28:56 UTC
Might be 2.6 only
fixed in 2.6.9
http://linux.bkbits.net:8080/linux-2.6/cset@412a4baaEebwtKg-X7sS2r5Mua6uGw

Comment 2 Mark J. Cox 2005-01-10 15:01:07 UTC
I believe RHEL2.1 isn't affected by this flaw and RHEL3 is only
affected because of a backported patch.  Moving to NEEDINFO for a
kernel engineer to verify.

Comment 3 Don Howard 2005-09-15 23:25:35 UTC
It looks like this was corrected for RHEL3, but RHEL21 is still vulnerable.

Comment 4 Don Howard 2005-09-15 23:28:19 UTC
Created attachment 118875 [details]
Backport proc_pid_cmdline() fix from RHEL3.

Comment 8 Red Hat Bugzilla 2006-02-01 17:53:17 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0191.html



Note You need to log in before you can comment on or make changes to this bug.